---
title: "Volatile Mediums"
tags: ["Volatile Mediums"]
date: 2021-01-29T23:36:00-05:00
draft: false
---
I've recently been thinking a lot about storage mediums [1] -- especially in the long-term.

Technology has made a lot of progress. Digital storage mediums started out only being 
able to store [224KB on a tape drive](https://en.wikipedia.org/wiki/Tape_drive)
for an average lifetime of [*up to* 30 years](https://blog.storagecraft.com/data-storage-lifespan/).
Now, we can store terrabytes of data on hard drives and solid-state drives. However, 
no one ever really answered the question about long-term storage. 

(Note: the following is based off an assumption that the storage medium is only 
being used to make backups or archive data. The device itself could be unplugged and stored 
when no backup is in progress.)

Even though *theoretically* hard drives could store data for 20+ years, random bit flips, drive 
failure, etc. all make hard drives too volatile of an option. As always, of course 
redundancy takes away some of these issues.

SSDs are in an even worse position: they cost significantly more than hard drives 
per TB right now, and last I heard, there were still issues with bit fade when 
unpowered.

CD/DVD is sounding a lot better, but there are some serious issues here too.
Variable quality directly impacts the storage lifetime. Physically storing the 
discs is a lot more risky since the disc itself doesn't have as much built-in 
protection as a hard drive or SSD has. You'll need a much larger quantity to 
store the terrabytes of data that you can easily dump on one hard drive. And finally, life
expectancy is still fairly low -- while manufacturers of recordable discs (the 'R' in CD-R, DVD-R, etc.)
claim life expectancies of 100-200 (!) years under optimal conditions, others are *slightly* more conservative,
[giving an estimate of 30 years](https://www.clir.org/pubs/reports/pub121/sec4/). 
Oh, and remember how I mentioned this is for recordable discs? That means they're single write.
The random access (RW - CD-RW, DVD-RW, etc.) discs have even lower life expectancies.

All in all, humanity has not gotten very far with the digital storage medium.
All of these life expectancies have an inconsequential variance when we zoom out 
to the century view of history.

[1] And no, I'm not talking about the kind you pay to see your dead great-great-aunt to figure out if 
you're actually related to George Washington.

*This is intended to be the beginning of a learning series/personal study on the issues surrounding
information preservation, digital permanence, and their related issues.*
